FLANG

Classes | Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Fortran::evaluate::ConstantObjectPointer Struct Reference
Inheritance diagram for Fortran::evaluate::ConstantObjectPointer:

## Classes
struct | Dimension

## Public Types
using | Dimensions = std::vector< Dimension >

## Public Member Functions
| ConstantObjectPointer (const Symbol &symbol, std::size_t size, Dimensions &&dims)
Public Member Functions inherited from Fortran::evaluate::OffsetSymbol
| OffsetSymbol (const Symbol &symbol, std::size_t bytes)
const Symbol & | symbol () const
void | set_symbol (const Symbol &symbol)
ConstantSubscript | offset () const
void | Augment (ConstantSubscript n)
std::size_t | size () const
void | set_size (std::size_t bytes)

## Static Public Member Functions
static ConstantObjectPointer | From (FoldingContext &, const Expr< SomeType > &)

## Public Attributes
Dimensions | dimensions

The documentation for this struct was generated from the following files:

- include/flang/Evaluate/fold-designator.h
- lib/Evaluate/fold-designator.cpp